source 'https://github.com/CocoaPods/Specs.git'

platform :ios, '12.0'
inhibit_all_warnings!

def modules
	pod 'Authorization', :path => 'Modules/Authorization'
	pod 'AuthorizationKit', :path => 'Modules/AuthorizationKit'
	pod 'FDCooks', :path => 'Modules/FDCooks'
	pod 'FDOrders', :path => 'Modules/FDOrders'
	pod 'FDStock', :path => 'Modules/FDStock'
end

def local
	pod 'FDResources', :path => 'Modules/FDResources'
	pod 'FDUIKit', :path => 'Modules/FDUIKit'
	pod 'FDFoundation', :path => 'Modules/FDFoundation'
	pod 'StorageKit', :path => 'Modules/StorageKit'
	pod 'KeyValueStorage', :path => 'Modules/KeyValueStorage'
	pod 'FDNetworkLayer', :path => 'Modules/FDNetworkLayer'
	pod 'FDUtilities', :path => 'Modules/FDUtilities'
end

def thirdparty
	pod 'SkeletonView', '1.13.0'
	pod 'SkyFloatingLabelTextField', '4.0.0'
	pod 'SnapKit', '5.0.1'
	pod 'Kingfisher', '6.2.1'
	pod 'EasyDi', '1.6.1'
	pod 'IQKeyboardManager'
	pod 'JMMaskTextField-Swift'
	pod 'SVProgressHUD'
	pod 'R.swift'
	pod 'KeychainAccess', '4.1.0'
	pod 'SwiftMessages', '8.0.3'
	pod 'PromisesSwift', '1.2.8'
end

target 'food_link' do
	use_frameworks! :linkage => :static
	
	local
	thirdparty
	modules
end

post_install do |installer|
	# MARK: - Fix CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER
	installer.generated_projects.each do |project|
		project.targets.each do |target|
			target.build_configurations.each do |config|
				config.build_settings['CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER'] = 'NO'
			end
		end
	end
end

target 'food_linkTests' do
	inherit! :search_paths
end

target 'food_linkUITests' do
end
